<?php
    /*
     * Copyright 2013 Drexel University
     */

    require_once ('../RodsWiki/RodsWiki.config.php') ;
    require_once ('RodsWikiSocial.config.php') ;
?>

function login() {
// executed on click on the Facebook "Login" button

    var login_url = 'https://www.facebook.com/dialog/oauth?client_id=<?php echo $configSocialAppId;?>' +
            '&redirect_uri=' + document.URL +
            '&scope=user_about_me,user_groups,user_status,read_stream,publish_stream,publish_actions' +
            '&response_type=token';

    window.location = login_url;
}


function post_timeline(title, link, picture, caption, description) {
// executed when the Facebook "Post" button is clicked
    FB.ui({
        method: 'feed',
        link: link,
        picture: picture,
        name: title,
        caption: caption,
        description: description
    });
}

function send_to_friend(title, link, picture, caption, description) {
// executed when the Facebook "Send to Friend" button is clicked
    FB.ui({
        method: 'send',
        link: link,
        picture: picture,
        name: title,
        caption: caption,
        description: description
    });
}

function load_groups(title, link, picture, caption, description) {
// displayed the form for Facebook group post

    FB.api('/me/groups', function(response) {
        // loads the group list into the HTML list
        for (var i = 0; i < response.data.length; i++)
            $('#select_post_in_group_list')
                    .append($('<option>', {value: response.data[i].name, group_id: response.data[i].id})
                    .text(response.data[i].name));
        $("#group_list").show('slow');
    });
}

function post_in_group(group, message, title, link, picture, caption, description, accessToken) {
// executed when the the Facebook "Post in group" button is pressed
    $.post('https://graph.facebook.com/' + group + '/feed',
            {
                'access_token': accessToken,
                'message': message,
                'title': title,
                'link': link,
                'picture': picture,
                'caption': caption,
                'description': description
            });

    alert("Message posted in group");
    $('#frm_post_group').each(function() {
        this.reset();
    });
    $('#group_list').hide('slow');
}


// Load the SDK Asynchronously
(function(d) {
    var js, id = 'facebook-jssdk', ref = d.getElementsByTagName('script')[0];
    if (d.getElementById(id)) {
        return;
    }
    js = d.createElement('script');
    js.id = id;
    js.async = true;
    js.src = "//connect.facebook.net/en_US/all.js";
    ref.parentNode.insertBefore(js, ref);
}(document));
