<?php
/*
 * Copyright 2013 Drexel University
 */

// class that handles all the hooks
class IrodsSocialHooks {

    public static function AddSocialLinks(&$out, &$text) {
        global $contentAdded;

        if (substr(trim(strip_tags($text)), 0, 22) == '((SOCIALNETWORKBLOCK))') {
            $data_array = json_decode(substr(trim(strip_tags($text)), 22), true);

            $text = "<h2>Social Networks Share</h2>";
            $text .= "<h3>Facebook</h3>";
            $text .= IrodsSocialHooks::show_social_newtork('facebook', $_GET['filename'], get_formated_size($data_array['size']));
            $text .= "<h3>Twitter</h3>";
            $text .= '<a href="https://twitter.com/share" class="twitter-share-button" data-url="http://' . str_replace('#', '', $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']) . '" data-via="iRODS Datasets" data-size="large">Tweet</a>';
            $text .= "<h3>Google+</h3>";
            $text .= '<g:plusone></g:plusone><g:plus action="share"></g:plus>';
        }

        return true;
    }

    public static function show_social_newtork($social_network, $filename, $filesize) {
        global $wgScriptPath;
        if ($social_network == "facebook") {
            return( "<div id=\"fb-root\"></div>\n" .
                    "<script src=\"https://apis.google.com/js/plusone.js\"></script>\n" .
                    "<div id=\"facebook_div\"></div>\n" .
                    "<script src = \"" . $wgScriptPath . "/extensions/RodsWikiSocial/RodsWikiSocial.facebook.js.php\"></script>\n" .
                    "<style>a.btn_facebook {\n" .
                    "        border:1px solid #2c5115;\n" .
                    "        background-image:url(http://www.facebook-application.net/wp-content/themes/facebook-lover/images/fb-logos.png);\n" .
                    "        background-position:0 -294px;\n" .
                    "        color:#fff;font-weight:700;\n" .
                    "        cursor:pointer;\n" .
                    "        padding:4px 10px;\n" .
                    "}\n" .
                    "a.btn_facebook:hover {\n" .
                    "        text-decoration: none;\n" .
                    "}\n" .
                    "</style>\n" .
                    "<script>\n" .
                    "  //twitter\n" .
                    "  !function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src=\"//platform.twitter.com/widgets.js\";fjs.parentNode.insertBefore(js,fjs);}}(document,\"script\",\"twitter-wjs\");\n" .
                    "  //facebook\n" .
                    "  window.fbAsyncInit = function() {\n" .
                    "        FB.init({\n" .
                    "        appId      : '411077478947320', // App ID\n" .
                    "        channelUrl : '//129.25.20.161/gicl/channel.php', // Channel File\n" .
                    "        status     : true, // check login status\n" .
                    "        cookie     : true, // enable cookies to allow the server to access the session\n" .
                    "        xfbml      : true  // parse XFBML\n" .
                    "        });\n" .
                    "    // Additional initialization code here\n" .
                    "        FB.getLoginStatus(function(response) {\n" .
                    "        if (response.status === 'connected') {\n" .
                    "            var uid = response.authResponse.userID;\n" .
                    "            var accessToken = response.authResponse.accessToken;\n" .
                    "            FB.api('/me', function(response) {\n" .
                    "                var title = '" . basename($filename) . "';\n" .
                    "                var link = 'http://" . str_replace('#', '', $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI']) . "';\n" .
                    "                var picture = 'http://" . $_SERVER['HTTP_HOST'] . $wgScriptPath . "/extensions/IrodsConnectionSocial/gicl-logo.png';\n" .
                    "                var caption = 'iRODS file';\n" .
                    "                var description = 'File size: " . $filesize . "';\n" .
                    "                $('#facebook_div').html('<a href=\"#\" class=\"btn_facebook\" onclick=\"javascript:post_timeline(\''+title+'\', \''+link+'\', \''+picture+'\', \''+caption+'\', \''+description+'\');\">Share</a> '+\n" .
                    "                '<a href=\"#\" class=\"btn_facebook\" onclick=\"javascript:send_to_friend(\''+title+'\', \''+link+'\', \''+picture+'\', \''+caption+'\', \''+description+'\');\">Send to a friend</a> ' +\n" .
                    "                '<a href=\"javascript:load_groups(\''+title+'\', \''+link+'\', \''+picture+'\', \''+caption+'\', \''+description+'\');\" class=\"btn_facebook\" onclick=>Post in group</a> '+\n" .
                    "                '<div id=\'group_list\' style=\'display: none\'><form id=\'frm_post_group\'><br>'+\n" .
                    "                    'Group<br><select id=\'select_post_in_group_list\' style=\'width:300px\'></select><br><br>' +\n" .
                    "                    'Message<br><textarea id=\'input_message\' style=\'width:300px\'></textarea><br>' +\n" .
                    "                    'Link<br><input type=\'text\' value=\''+link+'\' style=\'width:300px\' disabled><br>' +\n" .
                    "                    '<i>The link to the iRODS file will be included in the post</i><br>' +\n" .
                    "                    '<br><a onclick=\"post_in_group($(\'option:selected\', $(\'#select_post_in_group_list\')).attr(\'group_id\'), $(\'#input_message\').val(), \''+title+'\', \''+link+'\', \''+picture+'\', \''+caption+'\', \''+description+'\', \''+accessToken+'\');\" class=\"btn_facebook\" onclick=\"\">Post</a> '+\n" .
                    "                    '<a onclick=\"$(\'#frm_post_group\').each(function(){this.reset();});\" class=\'btn_facebook\'>Reset</a> ' +\n" .
                    "                    '<a onclick=\"$(\'#group_list\').hide(\'slow\');\" class=\'btn_facebook\'>Cancel</a>' +\n" .
                    "                '<br><br></form></div>');\n" .
                    "            });\n" .
                    "        } else if (response.status === 'not_authorized') {\n" .
                    "            $('#facebook_div').html('<a href=\"javascript:login ()\" class=\"btn_facebook\">Authorize iRODS Datasets</a>');\n" .
                    "        } else {\n" .
                    "            $('#facebook_div').html('<a href=\"javascript:login ()\" class=\"btn_facebook\">Log in</a>');\n" .
                    "           // $('#facebook_div').html('<div class=\"fb-login-button\" data-show-faces=\"false\" data-width=\"300\ data-max-rows=\"1\"></div>');\n" .
                    "        }\n" .
                    "    });\n" .
                    "  };\n" .
                    "</script>");
        }

        return NULL;
    }

}

?>
