<?php
/*
 * Copyright 2013 Drexel University
 */

 /*
  ================================================================
 * Alexandru Nedelcu
 * Started on: 11/13/2012
 * This extension adds social media buttons to the base IrodsConnection.
  ================================================================
 */

// For security reasons;
if (!defined('MEDIAWIKI')) {
    die();
}

// global variable used by the other extensions to check if this extension is installed
$RodsWikiSocial = true;

if (isset($RodsWiki))    // check if the base IrodsConnection is active
    if ($RodsWiki) {     
        require_once(substr((__dir__), 0, strrpos(__dir__, '/')).'/RodsWiki/RodsWiki.config.php');
        
        $wgExtensionCredits['IrodsConnectionSocial'][] = array(
            'path' => __FILE__,
            'author' => $configAuthor,
            'name' => $configExtensionName . '-social',
            'version' => $configExtensionVersion,
            'descriptionmsg' => 'irodssocial-desc',
            'url' => $configExtensionURL
        );

        if (isset($RodsWiki))
            if ($RodsWiki === true) {
                $wgHooks['OutputPageBeforeHTML'][] = 'IrodsSocialHooks::AddSocialLinks';
                require_once("RodsWikiSocial.hooks.php");
            }

        $contentAdded = false;
    }
?>
